Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.parser
Interface GroovyTokenTypes

Field Summary
`int` | `ABSTRACT`
`int` | `ANNOTATION`
`int` | `ANNOTATIONS`
`int` | `ANNOTATION_ARRAY_INIT`
`int` | `ANNOTATION_DEF`
`int` | `ANNOTATION_FIELD_DEF`
`int` | `ANNOTATION_MEMBER_VALUE_PAIR`
`int` | `ARRAY_DECLARATOR`
`int` | `ASSIGN`
`int` | `AT`
`int` | `BAND`
`int` | `BAND_ASSIGN`
`int` | `BIG_SUFFIX`
`int` | `BLOCK`
`int` | `BNOT`
`int` | `BOR`
`int` | `BOR_ASSIGN`
`int` | `BSR`
`int` | `BSR_ASSIGN`
`int` | `BXOR`
`int` | `BXOR_ASSIGN`
`int` | `CASE_GROUP`
`int` | `CLASS_DEF`
`int` | `CLOSABLE_BLOCK`
`int` | `CLOSABLE_BLOCK_OP`
`int` | `CLOSURE_LIST`
`int` | `COLON`
`int` | `COMMA`
`int` | `COMPARE_TO`
`int` | `CTOR_CALL`
`int` | `CTOR_IDENT`
`int` | `DEC`
`int` | `DIGIT`
`int` | `DIV`
`int` | `DIV_ASSIGN`
`int` | `DOLLAR`
`int` | `DOT`
`int` | `DYNAMIC_MEMBER`
`int` | `ELIST`
`int` | `ELVIS_OPERATOR`
`int` | `EMPTY_STAT`
`int` | `ENUM_CONSTANT_DEF`
`int` | `ENUM_DEF`
`int` | `EOF`
`int` | `EQUAL`
`int` | `ESC`
`int` | `EXPONENT`
`int` | `EXPR`
`int` | `EXTENDS_CLAUSE`
`int` | `FINAL`
`int` | `FLOAT_SUFFIX`
`int` | `FOR_CONDITION`
`int` | `FOR_EACH_CLAUSE`
`int` | `FOR_INIT`
`int` | `FOR_IN_ITERABLE`
`int` | `FOR_ITERATOR`
`int` | `GE`
`int` | `GT`
`int` | `HEX_DIGIT`
`int` | `IDENT`
`int` | `IMPLEMENTS_CLAUSE`
`int` | `IMPLICIT_PARAMETERS`
`int` | `IMPORT`
`int` | `INC`
`int` | `INDEX_OP`
`int` | `INSTANCE_INIT`
`int` | `INTERFACE_DEF`
`int` | `LABELED_ARG`
`int` | `LABELED_STAT`
`int` | `LAND`
`int` | `LBRACK`
`int` | `LCURLY`
`int` | `LE`
`int` | `LETTER`
`int` | `LIST_CONSTRUCTOR`
`int` | `LITERAL_as`
`int` | `LITERAL_assert`
`int` | `LITERAL_boolean`
`int` | `LITERAL_break`
`int` | `LITERAL_byte`
`int` | `LITERAL_case`
`int` | `LITERAL_catch`
`int` | `LITERAL_char`
`int` | `LITERAL_class`
`int` | `LITERAL_continue`
`int` | `LITERAL_def`
`int` | `LITERAL_default`
`int` | `LITERAL_double`
`int` | `LITERAL_else`
`int` | `LITERAL_enum`
`int` | `LITERAL_extends`
`int` | `LITERAL_false`
`int` | `LITERAL_finally`
`int` | `LITERAL_float`
`int` | `LITERAL_for`
`int` | `LITERAL_if`
`int` | `LITERAL_implements`
`int` | `LITERAL_import`
`int` | `LITERAL_in`
`int` | `LITERAL_instanceof`
`int` | `LITERAL_int`
`int` | `LITERAL_interface`
`int` | `LITERAL_long`
`int` | `LITERAL_native`
`int` | `LITERAL_new`
`int` | `LITERAL_null`
`int` | `LITERAL_package`
`int` | `LITERAL_private`
`int` | `LITERAL_protected`
`int` | `LITERAL_public`
`int` | `LITERAL_return`
`int` | `LITERAL_short`
`int` | `LITERAL_static`
`int` | `LITERAL_super`
`int` | `LITERAL_switch`
`int` | `LITERAL_synchronized`
`int` | `LITERAL_this`
`int` | `LITERAL_threadsafe`
`int` | `LITERAL_throw`
`int` | `LITERAL_throws`
`int` | `LITERAL_transient`
`int` | `LITERAL_true`
`int` | `LITERAL_try`
`int` | `LITERAL_void`
`int` | `LITERAL_volatile`
`int` | `LITERAL_while`
`int` | `LNOT`
`int` | `LOR`
`int` | `LPAREN`
`int` | `LT`
`int` | `MAP_CONSTRUCTOR`
`int` | `MEMBER_POINTER`
`int` | `METHOD_CALL`
`int` | `METHOD_DEF`
`int` | `MINUS`
`int` | `MINUS_ASSIGN`
`int` | `ML_COMMENT`
`int` | `MOD`
`int` | `MODIFIERS`
`int` | `MOD_ASSIGN`
`int` | `NLS`
`int` | `NOT_EQUAL`
`int` | `NULL_TREE_LOOKAHEAD`
`int` | `NUM_BIG_DECIMAL`
`int` | `NUM_BIG_INT`
`int` | `NUM_DOUBLE`
`int` | `NUM_FLOAT`
`int` | `NUM_INT`
`int` | `NUM_LONG`
`int` | `OBJBLOCK`
`int` | `ONE_NL`
`int` | `OPTIONAL_DOT`
`int` | `PACKAGE_DEF`
`int` | `PARAMETERS`
`int` | `PARAMETER_DEF`
`int` | `PLUS`
`int` | `PLUS_ASSIGN`
`int` | `POST_DEC`
`int` | `POST_INC`
`int` | `QUESTION`
`int` | `RANGE_EXCLUSIVE`
`int` | `RANGE_INCLUSIVE`
`int` | `RBRACK`
`int` | `RCURLY`
`int` | `REGEXP_CTOR_END`
`int` | `REGEXP_LITERAL`
`int` | `REGEXP_SYMBOL`
`int` | `REGEX_FIND`
`int` | `REGEX_MATCH`
`int` | `RPAREN`
`int` | `SELECT_SLOT`
`int` | `SEMI`
`int` | `SH_COMMENT`
`int` | `SL`
`int` | `SLIST`
`int` | `SL_ASSIGN`
`int` | `SL_COMMENT`
`int` | `SPREAD_ARG`
`int` | `SPREAD_DOT`
`int` | `SPREAD_MAP_ARG`
`int` | `SR`
`int` | `SR_ASSIGN`
`int` | `STAR`
`int` | `STAR_ASSIGN`
`int` | `STAR_STAR`
`int` | `STAR_STAR_ASSIGN`
`int` | `STATIC_IMPORT`
`int` | `STATIC_INIT`
`int` | `STRICTFP`
`int` | `STRING_CH`
`int` | `STRING_CONSTRUCTOR`
`int` | `STRING_CTOR_END`
`int` | `STRING_CTOR_MIDDLE`
`int` | `STRING_CTOR_START`
`int` | `STRING_LITERAL`
`int` | `STRING_NL`
`int` | `SUPER_CTOR_CALL`
`int` | `TRIPLE_DOT`
`int` | `TYPE`
`int` | `TYPECAST`
`int` | `TYPE_ARGUMENT`
`int` | `TYPE_ARGUMENTS`
`int` | `TYPE_LOWER_BOUNDS`
`int` | `TYPE_PARAMETER`
`int` | `TYPE_PARAMETERS`
`int` | `TYPE_UPPER_BOUNDS`
`int` | `UNARY_MINUS`
`int` | `UNARY_PLUS`
`int` | `UNUSED_CONST`
`int` | `UNUSED_DO`
`int` | `UNUSED_GOTO`
`int` | `VARIABLE_DEF`
`int` | `VARIABLE_PARAMETER_DEF`
`int` | `VOCAB`
`int` | `WILDCARD_TYPE`
`int` | `WS`

Method Summary

Method Detail